scala.util

# Properties

#### object Properties extends PropertiesTrait

Loads `library.properties` from the jar.

Source
  Properties.scala

Linear Supertypes
PropertiesTrait, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Properties
2. PropertiesTrait
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val ScalaCompilerVersion: Name

   Scala manifest attributes.

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def clearProp(name: String): String

   Definition Classes
     PropertiesTrait

9. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

10. #### val copyrightString: String

    Definition Classes
      PropertiesTrait

11. #### val developmentVersion: Option[String]

    The development Scala version, if this is not a final release.

    The development Scala version, if this is not a final release. The precise contents are not guaranteed, but it aims to provide a unique repository identifier (currently the svn revision) in the fourth dotted segment if the running version was built from source.

    returns

      Some(version) if this is a non-final version, None if this is a final release or the version cannot be read.

    Definition Classes
      PropertiesTrait

12. #### def encodingString: String

    This is the default text encoding, overridden (unreliably) with `JAVA_OPTS="-Dfile.encoding=Foo"`

    This is the default text encoding, overridden (unreliably) with `JAVA_OPTS="-Dfile.encoding=Foo"`

    Definition Classes
      PropertiesTrait

13. #### def envOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

14. #### def envOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

15. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

18. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

19. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

21. #### def isJavaAtLeast(version: String): Boolean

    Can the java version be determined to be at least as high as the argument? Hard to properly future proof this but at the rate 1.

    Can the java version be determined to be at least as high as the argument? Hard to properly future proof this but at the rate 1.7 is going we can leave the issue for our cyborg grandchildren to solve.

    Definition Classes
      PropertiesTrait

22. #### def isMac: Boolean

    Definition Classes
      PropertiesTrait

23. #### def isWin: Boolean

    Some derived values.

    Some derived values.

    Definition Classes
      PropertiesTrait

24. #### def javaClassPath: String

    Various well-known properties.

    Various well-known properties.

    Definition Classes
      PropertiesTrait

25. #### def javaHome: String

    Definition Classes
      PropertiesTrait

26. #### def javaVendor: String

    Definition Classes
      PropertiesTrait

27. #### def javaVersion: String

    Definition Classes
      PropertiesTrait

28. #### def javaVmInfo: String

    Definition Classes
      PropertiesTrait

29. #### def javaVmName: String

    Definition Classes
      PropertiesTrait

30. #### def javaVmVendor: String

    Definition Classes
      PropertiesTrait

31. #### def javaVmVersion: String

    Definition Classes
      PropertiesTrait

32. #### def jdkHome: String

    Definition Classes
      PropertiesTrait

33. #### def lineSeparator: String

    The default end of line character.

    The default end of line character.

    Definition Classes
      PropertiesTrait

34. #### def main(args: Array[String]): Unit

    Definition Classes
      PropertiesTrait

35. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

36. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

37. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

38. #### def osName: String

    Definition Classes
      PropertiesTrait

39. #### def pickJarBasedOn: Class[Option[_]]

    Attributes
      protected
    Definition Classes
      Properties → PropertiesTrait

40. #### def propCategory: String

    Attributes
      protected
    Definition Classes
      Properties → PropertiesTrait

41. #### val propFilename: String

    The name of the properties file

    The name of the properties file

    Attributes
      protected
    Definition Classes
      PropertiesTrait

42. #### def propIsSet(name: String): Boolean

    Definition Classes
      PropertiesTrait

43. #### def propIsSetTo(name: String, value: String): Boolean

    Definition Classes
      PropertiesTrait

44. #### def propOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

45. #### def propOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

46. #### def propOrFalse(name: String): Boolean

    Definition Classes
      PropertiesTrait

47. #### def propOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

48. #### def propOrNull(name: String): String

    Definition Classes
      PropertiesTrait

49. #### val releaseVersion: Option[String]

    The numeric portion of the runtime Scala version, if this is a final release.

    The numeric portion of the runtime Scala version, if this is a final release. If for instance the versionString says "version 2.9.0.final", this would return Some("2.9.0").

    returns

      Some(version) if this is a final release build, None if it is an RC, Beta, etc. or was built from source, or if the version cannot be read.

    Definition Classes
      PropertiesTrait

50. #### def scalaCmd: String

    Definition Classes
      PropertiesTrait

51. #### def scalaHome: String

    Definition Classes
      PropertiesTrait

52. #### def scalaPropOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

53. #### def scalaPropOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

54. #### def scalaPropOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

55. #### lazy val scalaProps: java.util.Properties

    The loaded properties

    The loaded properties

    Attributes
      protected
    Definition Classes
      PropertiesTrait

56. #### def scalacCmd: String

    Definition Classes
      PropertiesTrait

57. #### def setProp(name: String, value: String): String

    Definition Classes
      PropertiesTrait

58. #### def sourceEncoding: String

    This is the encoding to use reading in source files, overridden with -encoding Note that it uses "prop" i.

    This is the encoding to use reading in source files, overridden with -encoding Note that it uses "prop" i.e. looks in the scala jar, not the system properties.

    Definition Classes
      PropertiesTrait

59. #### def sourceReader: String

    Definition Classes
      PropertiesTrait

60. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

61. #### def tmpDir: String

    Definition Classes
      PropertiesTrait

62. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

63. #### def userDir: String

    Definition Classes
      PropertiesTrait

64. #### def userHome: String

    Definition Classes
      PropertiesTrait

65. #### def userName: String

    Definition Classes
      PropertiesTrait

66. #### def versionMsg: String

    Definition Classes
      PropertiesTrait

67. #### def versionNumberString: String

    Either the development or release version if known, otherwise the empty string.

    Either the development or release version if known, otherwise the empty string.

    Definition Classes
      PropertiesTrait

68. #### val versionString: String

    The version number of the jar this was loaded from plus "version " prefix, or "version (unknown)" if it cannot be determined.

    The version number of the jar this was loaded from plus "version " prefix, or "version (unknown)" if it cannot be determined.

    Definition Classes
      PropertiesTrait

69. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

71. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PropertiesTrait

### Inherited from AnyRef

### Inherited from Any

### Ungrouped